Bug 424651 - [ml_IN] Rendering problem with [Consonant] + u0d4d+0d35
Summary: [ml_IN] Rendering problem with [Consonant] + u0d4d+0d35
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: qt   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Ngo Than
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: 432940
TreeView+ depends on / blocked
 
Reported: 2007-12-14 06:55 UTC by A S Alam
Modified: 2013-07-03 00:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-11 09:25:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
ml_IN qt3 rendering Bug (15.53 KB, image/png)
2007-12-14 06:56 UTC, A S Alam
no flags Details
my patch (326 bytes, patch)
2008-03-05 08:31 UTC, Liang Zhang
no flags Details | Diff

Description A S Alam 2007-12-14 06:55:59 UTC
Description of problem:
Rendering problem with [Consonant] + u0d4d+0d35 in QT3 based application
consonant (0d15) can be anything except 0d35 

Version-Release number of selected component (if applicable):
qt-3.3.8-11.fc9

How reproducible:
Everytime 

Steps to Reproduce: 
1.  open kate/kedit 
2. type rawcode with SCIM
3. 0d15* +0d4d+0d35
* can be 0d15, 0d16 or any consonant other than 0d35  

Actual results:
it is not combined as shown in screenshot

Expected results:
it should be like gedit or oowriter

Additional info:
qt4 has fine, font has glyph for combination

Comment 1 A S Alam 2007-12-14 06:56:00 UTC
Created attachment 288561 [details]
ml_IN qt3 rendering Bug

Comment 2 Ani Peter 2008-01-14 06:38:11 UTC
Any update on this please?

Thanks
Ani

Comment 3 Ani Peter 2008-01-24 10:28:02 UTC
Ping: This is a critical bug and appreciate quick response.

Let me know if any help required.
Thanks
Ani

Comment 4 Rahul Bhalerao 2008-02-11 13:45:18 UTC
What is the problem if it has already been fixed in QT4? Isn't QT4 used by
default? In that case I think few packages will need to be rebuilt with QT4.
Otherwise the bug is fixed.

Comment 5 Jens Petersen 2008-02-26 02:27:12 UTC
Are you able to test with qt4?

Comment 6 A S Alam 2008-02-26 07:35:04 UTC
it is already tested and screenshot attached (attachment: 288561).
don't know when it will be default (whether for F9 or not), but for
Fedora 8, qt 3 was default, so should I need to change 'release' to fedora 8?

Comment 7 Liang Zhang 2008-03-05 08:31:08 UTC
Created attachment 296862 [details]
my patch

This patch can fix this bug.
:)

Comment 8 Rahul Bhalerao 2008-03-10 07:56:48 UTC
I see this patch being already applied for QT4(checked out the source), may be
this was done by Sachin some time back. But having both QT3 and QT4 installed on
my rawhide and f8, the combination still does not work. Which means applications
still use QT3 by default. How do we enforce an application to use particular QT?

Comment 9 Pravin Satpute 2008-04-11 09:25:15 UTC
working well with
kdesdk-4.0.3-3
qt-4.3.4-11



Note You need to log in before you can comment on or make changes to this bug.